<? include ("clases/alumno.class.php");
   include ("clases/carrera.class.php"); $objc = new carrera();   
?>
<!DOCTYPE html>
<html lang="es">
<head>
<title>Registro de Usuario</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
	
   
  <script>
function guardar(f)
{   if(f.nombres.value==""){
		 f.nombres.focus();
		 return false;
	}
	if(f.telefono.value==""){
		 f.telefono.focus();
		 return false;
	}
	if(f.direccion.value==""){
		 f.direccion.focus();
		 return false;
	}
	if(f.correo.value==""){
		 f.correo.focus();
		 return false;
	}
	if(f.usuario.value==""){
		 f.usuario.focus();
		 return false;
	}
	if(f.clave.value==""){
		 f.clave.focus();
		 return false;
	}
	
		   f.action='controladores/UsuarioController.php';
		   f.submit();
		   return true;
		 
}
</script>
<SCRIPT>
function IsNumeric(valor) 
{ 
var log=valor.length; var sw="S"; 
for (x=0; x<log; x++) 
{ v1=valor.substr(x,1); 
v2 = parseInt(v1); 
//Compruebo si es un valor numérico 
if (isNaN(v2)) { sw= "N";} 
} 
if (sw=="S") {return true;} else {return false; } 
} 
var primerslap=false; 
var segundoslap=false; 
function formateafecha(fecha) 
{ 
var long = fecha.length; 
var dia; 
var mes; 
var ano; 
if ((long>=2) && (primerslap==false)) { dia=fecha.substr(0,2); 
if ((IsNumeric(dia)==true) && (dia<=31) && (dia!="00")) { fecha=fecha.substr(0,2)+"-"+fecha.substr(3,7); primerslap=true; } 
else { fecha=""; primerslap=false;} 
} 
else 
{ dia=fecha.substr(0,1); 
if (IsNumeric(dia)==false) 
{fecha="";} 
if ((long<=2) && (primerslap=true)) {fecha=fecha.substr(0,1); primerslap=false; } 
} 
if ((long>=5) && (segundoslap==false)) 
{ mes=fecha.substr(3,2); 
if ((IsNumeric(mes)==true) &&(mes<=12) && (mes!="00")) { fecha=fecha.substr(0,5)+"-"+fecha.substr(6,4); segundoslap=true; } 
else { fecha=fecha.substr(0,3);; segundoslap=false;} 
} 
else { if ((long<=5) && (segundoslap=true)) { fecha=fecha.substr(0,4); segundoslap=false; } } 
if (long>=7) 
{ ano=fecha.substr(6,4); 
if (IsNumeric(ano)==false) { fecha=fecha.substr(0,6); } 
else { if (long==10){ if ((ano==0) || (ano<1900) || (ano>2100)) { fecha=fecha.substr(0,6); } } } 
} 
if (long>=10) 
{ 
fecha=fecha.substr(0,10); 
dia=fecha.substr(0,2); 
mes=fecha.substr(3,2); 
ano=fecha.substr(6,4); 
// Año no viciesto y es febrero y el dia es mayor a 28 
if ( (ano%4 != 0) && (mes ==02) && (dia > 28) ) { fecha=fecha.substr(0,2)+"-"; } 
} 
return (fecha); 
}
</SCRIPT> 
<style>
.opaco {
  /*opacity: 0.3;*/
  background: rgba(0, 0, 0, 0.3);
}
.texto_registro{color:#ffffff;}
</style>
</head>

<body>
<div class="login-container full-cover-background"> 

	<p><br><br></p>
	<p><br><br></p>		
			<div class="col-md-8">
			  
				<div class="panel panel-primary opaco">
					<div class="panel-heading">Registro de Usuario</div>
					<div class="panel-body">
				<form method="post" action="controladores/procesaalumno.php" name="form2">
					<div class="row">
						<div class="col-md-6">						   
							<label for="f_name" class="texto_registro">Nombres</label>
							<input type="text" id="nombres" name="nombres" autocomplete="off" class="material-login-control tooltips-general" required="" pattern="[a-zA-ZáéíóúÁÉÍÓÚñÑ ]{1,50}" data-toggle="tooltip" data-placement="top" title="Ingrese Nombre" style="color:#FFFFFF;">
							<span class="highlight"></span>
                                <span class="bar"></span>
						</div>						
					</div>				
					<div class="row">
						<div class="col-md-6">						   
							<label for="f_name" class="texto_registro">Apellidos</label>
							<input type="text" id="nombres" name="apellidos" autocomplete="off" class="material-login-control tooltips-general" required="" pattern="[a-zA-ZáéíóúÁÉÍÓÚñÑ ]{1,50}" data-toggle="tooltip" data-placement="top" title="Ingrese Apellido" style="color:#FFFFFF;">
							<span class="highlight"></span>
                                <span class="bar"></span>
						</div>						
					</div>	
					

					<div class="row">
						<div class="col-md-12">
							<label for="address1" class="texto_registro">Especialidad</label>
							<select class="material-login-control tooltips-general" required="" data-toggle="tooltip" data-placement="top" title="Elige la carrera" name="especialidad" style="color:#006699;">
							  <option value="">Seleccione</option>
							  <?php $lista = $objc->ListarActivos();
								   for($i=0;$i<count($lista);$i++)
									{
								 ?>
								<option value="<?php echo $lista[$i]["idcarrera"];?>"><?php echo $lista[$i]["nombre"];?></option>
								<?php } ?>
	            			</select>
						</div>						
					</div>
					<div class="row">
						<div class="col-md-6">
							<label for="address2" class="texto_registro">Telefono</label>
							<input type="text" id="telefono" name="telefono" autocomplete="off" class="material-login-control tooltips-general"  data-toggle="tooltip" data-placement="top" title="Telefono" style="color:#FFFFFF;">
						</div>					
					</div>
					<div class="row">
						<div class="col-md-6">
							<label for="address2" class="texto_registro">Fecha Nac</label>
							<input type="text" id="txtFechanac" name="txtFechanac" autocomplete="off" class="material-login-control tooltips-general"  data-toggle="tooltip" data-placement="top" title="Fecha de Nacimiento" onKeyUp = "this.value=formateafecha(this.value);" style="color:#FFFFFF;">
						</div>					
					</div>
					<div class="row">
						
						<div class="col-md-6">
							<label for="email" class="texto_registro">Email</label>
							<input type="text" id="email" name="email" autocomplete="off" class="material-login-control tooltips-general" required="" data-toggle="tooltip" data-placement="top" title="Ingrese Email" style="color:#FFFFFF;">
						</div>	
						<div class="col-md-6">
							<label for="password" class="texto_registro">Password</label>
							<input type="password" id="dni" name="dni" class="material-login-control tooltips-general" required="" data-toggle="tooltip" data-placement="top" title="Ingrese password" style="color:#FFFFFF;">
							<div class="input-group-append">
            <button id="show_password" class="btn btn-default" type="button" onclick="mostrarPassword()"> <span class="glyphicon glyphicon-eye-open"></span> </button>
          </div>
						</div>
					</div>

					<br><br>
					<div class="col-md-12">
						<button type="submit" class="btn btn-primary btn-lg"><i class="zmdi zmdi-floppy"></i> &nbsp;&nbsp; Guardar</button>
						<a href="index.html" class="btn btn-default btn-lg"><i class="zmdi zmdi-swap"></i> Regresar</a>
					</div>
					<div class="col-md-6">							
							<input name="tipo" type="hidden" value="USUARIO">
							<input type="hidden" name="text" value="R">
				  </div>
			    </form>
				
				</div>
			
			
		
	</div>
</div>
<script type="text/javascript">
function mostrarPassword(){
		var cambio = document.getElementById("dni");
		if(cambio.type == "password"){
			cambio.type = "text";
			$('.icon').removeClass('fa fa-eye-slash').addClass('fa fa-eye');
		}else{
			cambio.type = "password";
			$('.icon').removeClass('fa fa-eye').addClass('fa fa-eye-slash');
		}
	} 
	
	$(document).ready(function () {
	//CheckBox mostrar contraseña
	$('#ShowPassword').click(function () {
		$('#Password').attr('type', $(this).is(':checked') ? 'text' : 'password');
	});
});
</script>
</body>
</html>
